SIVP Toolbox
Last update : Aug 2005

imshow - Displays images in graphic window

### Calling Sequence

  `imshow(im)`

### Parameters

- `im`: MxN matrix, a grayscale (0-255 range) image, or MxNx3, a color (0-255 range) image.

### Description

imshow(im)
  `imshow` can only show images in 0-255 range. Before showing a image, it convert `im` to unsigned char first using `uint8()`.

### Examples

        im = imread(SCI + '/contrib/sivp/images/lena.png');
        imshow(im);

### Remarks

`imshow` using an interface developed by SIVP, not the figure object using in Scilab.

### Bugs and Shortcomings

Only one imshow window can pop up.

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`imread`, `imwrite`, `imfinfo`,